Page({

    /**
     * 页面的初始数据
     */
    data: {
        sign_url: ''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad() {
        wx.showLoading({
            title: '加载中...',
            mask : true
        })
        wx.$api.idcard.pactUrl().then(res => {
            let { sign_url } = res.data
            this.setData({
                sign_url
            })
            wx.hideLoading()
        })
    },
    /**
     * 监听签署结果
     */
    handleGetMessage(e){
        if(e.detail.data[0].result=='success'){
            wx.navigateTo({
                url: '/pages/idcard/success/success?type=idcard',
            })
        }
    },
})